package cn.net.cpzslibs.prot.handset.bean;

public class Prot10018ActivateBean {

	private String fail_num;

	// 返回错误包的时候
	private int errcode;
	private String errmsg;
	private int result;// 0：请求成功 1：遇到错误信息，返回错误码
	
	private Prot10018NongChanPin nong_chan_pin;	
	public Prot10018ActivateBean() {

	}

	

	public Prot10018ActivateBean(String fail_num, int errcode, String errmsg,
			int result) {
		super();
		this.fail_num = fail_num;
		this.errcode = errcode;
		this.errmsg = errmsg;
		this.result = result;
	}



	public int getErrcode() {
		return errcode;
	}

	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}

	public int getResult() {
		return result;
	}

	public void setResult(int result) {
		this.result = result;
	}

	

	public String getFail_num() {
		return fail_num;
	}

	public void setFail_num(String fail_num) {
		this.fail_num = fail_num;
	}
	
	public Prot10018NongChanPin getNong_chan_pin() {
		return nong_chan_pin;
	}
	public void setNong_chan_pin(Prot10018NongChanPin nong_chan_pin) {
		this.nong_chan_pin = nong_chan_pin;
	}



	@Override
	public String toString() {
		return "Prot10018ActivateBean [fail_num=" + fail_num + ", errcode="
				+ errcode + ", errmsg=" + errmsg + ", result=" + result
				+ ", nong_chan_pin=" + nong_chan_pin + "]";
	}


	
	

}
